Bug 42751 - segv fault when i start X with 4.0.99-900
segv fault when i start X with 4.0.99-900
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
1.0
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-29 17:53 EDT by Dries Verachtert
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-18 04:16:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
The log file that gets generated when I use startx (13.91 KB, text/plain)
2001-05-29 17:55 EDT, Dries Verachtert
no flags Details
The log file that is generated when i use 'xf86cfg' (41.36 KB, text/plain)
2001-05-29 17:58 EDT, Dries Verachtert
no flags Details
The current XF86Config-4 file (1.93 KB, text/plain)
2001-05-29 18:00 EDT, Dries Verachtert
no flags Details
output rpm -qa | sort when X doesn't work (11.54 KB, text/plain)
2001-05-30 16:47 EDT, Dries Verachtert
no flags Details
output of rpm -qa | sort when X works (11.47 KB, text/plain)
2001-05-30 16:50 EDT, Dries Verachtert
no flags Details
The XFree86.0.log file with the unresolved symbols errors (14.33 KB, text/plain)
2001-06-01 09:23 EDT, Dries Verachtert
no flags Details

  None (edit)
Description Dries Verachtert 2001-05-29 17:53:21 EDT
Description of Problem:
I upgraded all rpms to the latest version of redhat rawhide. X doesn't want to 
work. I always get a segmentation fault.

How Reproducible:
always

Steps to Reproduce:
1. type 'startx'

Actual Results:
I get the message 'segmentation fault' I'll attach the complete 
/var/log/XFree86.0.log file.

Expected Results:
a normal X session :-)

Additional Information:
 everything is installed by rpms of rawhide, also the kernel
redhat-release: Raw Hide 20010524
System: PWS 500a alpha Miatagl
Graphic card: Texas Instruments TVP4020 [Permedia 2] (rev 1)   (from /proc/pci)
Comment 1 Dries Verachtert 2001-05-29 17:55:36 EDT
Created attachment 19950 [details]
The log file that gets generated when I use startx
Comment 2 Dries Verachtert 2001-05-29 17:58:39 EDT
Created attachment 19951 [details]
The log file that is generated when i use 'xf86cfg'
Comment 3 Dries Verachtert 2001-05-29 18:00:24 EDT
Created attachment 19952 [details]
The current XF86Config-4 file
Comment 4 Brock Organ 2001-05-30 15:30:57 EDT
Hi dries,

could you post an rpmlist of your XFree86 rpms?  I am not seeing this behavior 
in our current internal test trees with test lab hardware using the Permedia 2 
card ... Perhaps with a list, we can duplicate your behavior here or possibly 
provide a list of rpms that would work ... :)

brock
Comment 5 Dries Verachtert 2001-05-30 16:47:27 EDT
Created attachment 19990 [details]
output rpm -qa | sort when X doesn't work
Comment 6 Dries Verachtert 2001-05-30 16:50:12 EDT
Created attachment 19991 [details]
output of rpm -qa | sort  when X works
Comment 7 Dries Verachtert 2001-05-30 16:59:12 EDT
I'm using the XFree86 from the previous rawhide release now. I upgraded all 
XFree86 rpms, restarted xfs, and tryed startx again (you never know..). X 
didn't work, rpmlist is in rpmfilelist.without.working.x.sorted.
I downgraded everything and restarted xfs. Current rpmlist is in 
rpmfilelist.with.working.x.sorted. Maybe you're only interested in the diff:
593c593
< XFree86-4.0.99.900-0.2.1
---
> XFree86-4.0.3-15
596,597c596,597
< XFree86-devel-4.0.99.900-0.2.1
< XFree86-doc-4.0.99.900-0.2.1
---
> XFree86-devel-4.0.3-15
> XFree86-doc-4.0.3-15
609c609
< XFree86-libs-4.0.99.900-0.2.1
---
> XFree86-libs-4.0.3-15
611,614c611,614
< XFree86-tools-4.0.99.900-0.2.1
< XFree86-xdm-4.0.99.900-0.2.1
< XFree86-xf86cfg-4.0.99.900-0.2.1
< XFree86-xfs-4.0.99.900-0.2.1
---
> XFree86-tools-4.0.3-15
> XFree86-xdm-4.0.3-15
> XFree86-xf86cfg-4.0.3-15
> XFree86-xfs-4.0.3-15

Just let me know if you need any other information.
Cya,
Dries
Comment 8 Mike A. Harris 2001-05-30 17:00:18 EDT
Was this 4.0.99.x release built from sources yourself, or using my own
binaries.  There seem to be numerous errors with symbols not being found.
I need you to test our own binaries if you haven't already.  Please make sure
you install all of the Red Hat rawhide RPMs for XFree86, not just some.

If this problem exists in our binary release, I can probably fix it easily.

Thanks much for the bug report!
Comment 9 Dries Verachtert 2001-05-30 17:10:01 EDT
I haven't compiled anything. I got a local mirror of rawhide for alpha. 
Everything is installed with a rpm -Fvh *.rpm. I also got the older rpms so I 
can downgrade XFree86 with a rpm --oldpackage -Uvh xfreerpms.

First i also had a lot of unresolved symbols. Adding the following in 
/etc/X11/XF86Config-4 solved that problem with startx:
	Load "vbe"
        Load "ddc"
        load "xaa"
        load "int10"
The last line 'load "int10"' was not necessary to solve all the warnings about 
unresolved symbols but i tryed it also with this line because the last message 
of XFree before the segv is about int10.
xf86config also gives a lot of warnings about unresolved symbols but i haven't 
tryed to solve that: i'm in the middle of exams so no time for figuring that 
out myself now :-)

Comment 10 Mike A. Harris 2001-05-31 22:23:55 EDT
Please report the unresolved symbols.  usually these are driver bugs.
I can probably fix them.  I just need to know what driver, and what
the exact error message is.  Please attach any logs showing these messages.

Thanks.
Comment 11 Dries Verachtert 2001-06-01 09:19:15 EDT
I'm now using XFree86 4.0.3-15 which works fine. Maybe i'm simply doing
something wrong so i add all the commands here. The rpmlist is the same as the
list in attachment 5 [details] (rpmfilelist.with.working.x.sorted)

rpm -Uvh XFree86-xfs-4.0.99.900-0.2.1.alpha.rpm
XFree86-doc-4.0.99.900-0.2.1.alpha.rpm XFree86-libs-4.0.99.900-0.2.1.alpha.rpm
XFree86-xdm-4.0.99.900-0.2.1.alpha.rpm XFree86-tools-4.0.99.900-0.2.1.alpha.rpm
XFree86-4.0.99.900-0.2.1.alpha.rpm XFree86-devel-4.0.99.900-0.2.1.alpha.rpm
XFree86-xf86cfg-4.0.99.900-0.2.1.alpha.rpm
XFree86-xfs-4.0.99.900-0.2.1.alpha.rpm
-> normal output, the rpms install without any problem

rpm -Fvh *.rpm
-> no output, everything upgraded to rawhide 20010524

All these rpms are from rawhide for alpha. The following are the md5sums if you
want to verify this:
68ba9db4942d8ea6fedb62565120c10f  XFree86-xfs-4.0.99.900-0.2.1.alpha.rpm
2017a9869e1f6dd937c26a311ce7d6b7  XFree86-doc-4.0.99.900-0.2.1.alpha.rpm
dedc4c53cd6a77d4fef34b73992be3f8  XFree86-libs-4.0.99.900-0.2.1.alpha.rpm
46c80592f7c31c8c098b62ab0677c84a  XFree86-xdm-4.0.99.900-0.2.1.alpha.rpm
2156fb0037c999f161b7eafe38b4ea0d  XFree86-tools-4.0.99.900-0.2.1.alpha.rpm
6e0ff006e7d1741e7e11ec38465207ad  XFree86-4.0.99.900-0.2.1.alpha.rpm
657dadb418433a75fb82726c15fc3c06  XFree86-devel-4.0.99.900-0.2.1.alpha.rpm
7fd891202fa77e6c3d90634cb6ac37a6  XFree86-xf86cfg-4.0.99.900-0.2.1.alpha.rpm
68ba9db4942d8ea6fedb62565120c10f  XFree86-xfs-4.0.99.900-0.2.1.alpha.rpm

Now the rpmlist is the same as attachment 4 [details]
(rpmfilelist.without.working.x.sorted)

/etc/init.d/xfs restart
-> OK

The XF86Config-4 file is now the same as attachment 3 [details] (XF86Config-4) If i use
'startx', a log file gets generated called /var/log/XFree86.0.log. This file is
saved in attachment 1 [details] (XFree86.log.startx). This file contains no errors about
unresolved symbols.

Now i change the XF86Config-4 so it is the same XF86Config-4 file as it was
before i attempted to install 4.0.99. So i make comments of the added modules.
The diff is:
31,34c31,34
< ##    Load "vbe"
< ##    Load "ddc"
< ##    load "xaa"
< ##    load "int10"
---
>       Load "vbe"
>       Load "ddc"
>       load "xaa"
>       load "int10"

If i try 'startx' now, i get errors about unresolved symbols. I will attach this
logfile after this message as XFree86.log.with.unresolved.symbols

If i use 'xf86cfg', i also get a lot of errors about unresolved symbols. The
logfile is attached as attachment 2 [details] (XFree86.log.xf86cfg)

Now i downgrade XFree:
rpm -Uvh XFree86-xfs-4.0.3-15.alpha.rpm XFree86-doc-4.0.3-15.alpha.rpm
XFree86-libs-4.0.3-15.alpha.rpm XFree86-xdm-4.0.3-15.alpha.rpm
XFree86-tools-4.0.3-15.alpha.rpm XFree86-4.0.3-15.alpha.rpm
XFree86-devel-4.0.3-15.alpha.rpm XFree86-xf86cfg-4.0.3-15.alpha.rpm
XFree86-xfs-4.0.3-15.alpha.rpm --oldpackage
-> everything ok

These rpms are also from redhat rawhide for alpha:
da99e47e9b5d3353bccad4d56bec2cff  XFree86-xfs-4.0.3-15.alpha.rpm
09bb53f7f56ea9411e876fa794722b13  XFree86-doc-4.0.3-15.alpha.rpm
51aa57b48d92587b97cab8d21e8b68b0  XFree86-libs-4.0.3-15.alpha.rpm
633f69486a61fd70ae7f00fd0e423290  XFree86-xdm-4.0.3-15.alpha.rpm
77850c53df3886a14eedfb8b4e9722e2  XFree86-tools-4.0.3-15.alpha.rpm
a62c45620b089daa271d30a5dac6adb4  XFree86-4.0.3-15.alpha.rpm
42b833b70269a9a314f7125ee6095583  XFree86-devel-4.0.3-15.alpha.rpm
6558d7705f0469277ac356b51799df88  XFree86-xf86cfg-4.0.3-15.alpha.rpm
da99e47e9b5d3353bccad4d56bec2cff  XFree86-xfs-4.0.3-15.alpha.rpm

Also with the XF86Config-4 file without the 'load vbe,ddc,xaa,..' stuff, startx
works.

Please let me know if you need other information or if i need to tryout
something.
Comment 12 Dries Verachtert 2001-06-01 09:23:29 EDT
Created attachment 20082 [details]
The XFree86.0.log file with the unresolved symbols errors
Comment 13 Phil Copeland 2001-06-04 17:38:26 EDT
Is this issue resolved? (going through closing old bugs)

Comment 14 Dries Verachtert 2001-06-04 17:41:57 EDT
nope :-)
Comment 15 Mike A. Harris 2001-06-04 17:44:00 EDT
No, not resolved yet..  This stuff is easy to fix though, I'm going to
fix it right now, and build 4.0.3-19
Comment 16 Mike A. Harris 2001-06-04 17:52:45 EDT
Duh...  Just noticed the bug is against 4.1 branch...  I'll fix it in 4.1,
but I won't guarantee binaries of it right away.  The next binaries will
have it fixed though.  Thanks.
Comment 17 Mike A. Harris 2001-06-04 18:27:07 EDT
Ok, looks like someone already fixed the XAAFillSolidRects and vbeFree
symbols, I just fixed the rest of them.
Comment 18 Mike A. Harris 2001-09-18 04:16:36 EDT
IIRC this was fixed but not closed.  Care to update the report and
close it as RAWHIDE if it is fixed now?  If not fixed, please update
with current error info, logs, etc.
Comment 19 Dries Verachtert 2001-09-18 05:16:09 EDT
It works indeed. Sorry i forgot to close this bug.

Note You need to log in before you can comment on or make changes to this bug.